org.apache.olingo.client.api.communication.request.retrieve

## Interface RetrieveRequestFactory

-     public interface RetrieveRequestFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ODataDeltaRequest` | `getDeltaRequest(URI uri)`
    `ODataEntityRequest<ClientEntity>` | `getEntityRequest(URI uri)` Gets a uri request returning a single OData entity.
    `ODataEntitySetIteratorRequest<ClientEntitySet,ClientEntity>` | `getEntitySetIteratorRequest(URI uri)` Gets a uri request returning a set of one or more OData entities.
    `ODataEntitySetRequest<ClientEntitySet>` | `getEntitySetRequest(URI uri)` Gets a uri request returning a set of one or more OData entities.
    `ODataMediaRequest` | `getMediaEntityRequest(URI uri)` Gets a uri request returning a media entity.
    `ODataMediaRequest` | `getMediaRequest(URI uri)` Gets a uri request returning a media stream.
    `EdmMetadataRequest` | `getMetadataRequest(String serviceRoot)` Gets a metadata request instance.
    `ODataPropertyRequest<ClientProperty>` | `getPropertyRequest(URI uri)` Gets a uri request returning a single OData entity property.
    `ODataValueRequest` | `getPropertyValueRequest(URI uri)` Gets a uri request returning a single OData entity property value.
    `ODataRawRequest` | `getRawRequest(URI uri)` Implements a raw request request without specifying any return type.
    `ODataServiceDocumentRequest` | `getServiceDocumentRequest(String serviceRoot)` Gets a service document request instance.
    `ODataEntityRequest<ClientSingleton>` | `getSingletonRequest(URI uri)`
    `ODataValueRequest` | `getValueRequest(URI uri)` Gets a uri request returning a single OData entity property value.
    `XMLMetadataRequest` | `getXMLMetadataRequest(String serviceRoot)` Gets a metadata request instance.

- - ### Method Detail

    - #### getXMLMetadataRequest

          XMLMetadataRequest getXMLMetadataRequest(String serviceRoot)

      Gets a metadata request instance.
      Compared to `getMetadataRequest(java.lang.String)`, this method returns a request instance for fetching low-level metadata representation.
      Parameters:
        `serviceRoot` - absolute URL (schema, host and port included) representing the location of the root of the data service.
      Returns:
        new `XMLMetadataRequest` instance.

    - #### getMetadataRequest

          EdmMetadataRequest getMetadataRequest(String serviceRoot)

      Gets a metadata request instance.
      Parameters:
        `serviceRoot` - absolute URL (schema, host and port included) representing the location of the root of the data service.
      Returns:
        new `EdmMetadataRequest` instance.

    - #### getServiceDocumentRequest

          ODataServiceDocumentRequest getServiceDocumentRequest(String serviceRoot)

      Gets a service document request instance.
      Parameters:
        `serviceRoot` - absolute URL (schema, host and port included) representing the location of the root of the data service.
      Returns:
        new `ODataServiceDocumentRequest` instance.

    - #### getEntitySetRequest

          ODataEntitySetRequest<ClientEntitySet> getEntitySetRequest(URI uri)

      Gets a uri request returning a set of one or more OData entities.
      Parameters:
        `uri` - request URI.
      Returns:
        new `ODataEntitySetRequest` instance.

    - #### getEntitySetIteratorRequest

          ODataEntitySetIteratorRequest<ClientEntitySet,ClientEntity> getEntitySetIteratorRequest(URI uri)

      Gets a uri request returning a set of one or more OData entities.
      Returned request gives the possibility to consume entities iterating on them without parsing and loading in memory the entire entity set.
      Parameters:
        `uri` - request URI.
      Returns:
        new `ODataEntitySetIteratorRequest` instance.

    - #### getEntityRequest

          ODataEntityRequest<ClientEntity> getEntityRequest(URI uri)

      Gets a uri request returning a single OData entity.
      Parameters:
        `uri` - request URI.
      Returns:
        new `ODataEntityRequest` instance.

    - #### getPropertyRequest

          ODataPropertyRequest<ClientProperty> getPropertyRequest(URI uri)

      Gets a uri request returning a single OData entity property.
      Parameters:
        `uri` - request URI.
      Returns:
        new `ODataPropertyRequest` instance.

    - #### getPropertyValueRequest

          ODataValueRequest getPropertyValueRequest(URI uri)

      Gets a uri request returning a single OData entity property value.
      Parameters:
        `uri` - request URI.
      Returns:
        new `ODataValueRequest` instance.

    - #### getValueRequest

          ODataValueRequest getValueRequest(URI uri)

      Gets a uri request returning a single OData entity property value.
      Parameters:
        `uri` - request URI.
      Returns:
        new `ODataValueRequest` instance.

    - #### getMediaRequest

          ODataMediaRequest getMediaRequest(URI uri)

      Gets a uri request returning a media stream.
      Parameters:
        `uri` - request URI.
      Returns:
        new `ODataMediaRequest` instance.

    - #### getMediaEntityRequest

          ODataMediaRequest getMediaEntityRequest(URI uri)

      Gets a uri request returning a media entity.
      Parameters:
        `uri` - request URI.
      Returns:
        new `ODataMediaRequest` instance.

    - #### getRawRequest

          ODataRawRequest getRawRequest(URI uri)

      Implements a raw request request without specifying any return type.
      Parameters:
        `uri` - request URI.
      Returns:
        new `ODataRawRequest` instance.

    - #### getSingletonRequest

          ODataEntityRequest<ClientSingleton> getSingletonRequest(URI uri)

    - #### getDeltaRequest

          ODataDeltaRequest getDeltaRequest(URI uri)

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.